package com.qryord.mp.common;

public class ApiException extends RuntimeException {

    private final String message;
    private final Object[] args;

    public ApiException(final String message, Object... args){
        super(message);
        this.message = message;
        this.args = args;
    }

    @Override
    public String getMessage() {
        return LocaleMessageUtil.getMessage(message, args);
    }


}
